clear;

dim = 2;    % Dimensions

% Nodal coordinates: m
% [ x, y ]
XYZ = [	-4, 0;      
        -3, 2;
        -2, 0;
        -1, 2;
        0, 0;
        1, 2;
        2, 0;
        3, 2;
        4, 0	];

% Connectivity of nodes for members
% [Node i, Node j]     
CON = [ 1   2;      
        1   3;
        2   3;
        2   4;
        3   4;
        3   5;
        4   5;
        4   6;
        5   6;
        5   7;
        6   7;
        6   8;
        7   8;
        7   9;
        8   9 ];

% External loads: N
% [Node number, Direction(1 for x, 2 for y)AMagnitude] 
LOAD = [ 3, 2, -10e04;
	 5, 2, -10e04;
	 7, 2, -10e04];   

% Boundary conditions: 
% [ Node, Direction, Constraint (0 for free; 1 for fixed)
BOUN = [ 1, 1, 1;
         2, 1, 1];

% Young's Modulus
E = 2.05e11;       % Young's modulus

% Cross-sectional area m^2
% A = [0.01, 0.01];       % Axial stiffness, N/m
A = ones(length(CON(:,1)), 1)*0.01;

XYZ0 = XYZ;
[XYZ, N] = linearAnalysis(XYZ, CON, E*A', BOUN, LOAD, dim);
d = XYZ - XYZ0;

scale = 1e3;
figID = 1;
deformedShape(XYZ0, d, CON, scale, figID);
